AnsweredAssumed Answered

AMD APP 2.8.1 and VS2008

Question asked by firespot on Jul 12, 2013

Hello,

 

The release notes for AMD APP 2.8.1 say (quoting): 'Support for Microsoft Visual Studio 2008 is deprecated.'

 

Could you please elaborate on what that deprecation refers to practically speaking? Is it simply that, say, some Bolt-based examples won't compile / work, or is using this release's API in conjunction with VS 2008 for self-developed OpenCL (just using the headers and linking to the *lib files) simply not recommended at all any more? Would problems already arise at compile / link time (e.g. linker errors) or more likely at runtime only, e.g. due to some ABI issues?

 

What's the overall recommendation for those using VS 2008 ? Sticking to 2.8?

 

thanks and cheers!

Outcomes